# jpgimage.hpp File Reference

Class JpegImage to access JPEG images. More...

`#include "types.hpp"`
`#include "image.hpp"`
`#include "basicio.hpp"`
`#include "exif.hpp"`
`#include "iptc.hpp"`
`#include <string>`

Include dependency graph for jpgimage.hpp:

## Namespaces

namespace | Exiv2
namespace | Exiv2::ImageType

## Classes

struct | Exiv2::Photoshop
| Helper class, has methods to deal with Photoshop "Information Resource Blocks" (IRBs). More...
class | Exiv2::JpegBase
| Abstract helper base class to access JPEG images. More...
class | Exiv2::JpegImage
| Class to access JPEG images. More...
class | Exiv2::ExvImage
| Helper class to access Exiv2 files. More...

## Functions

Image::AutoPtr | Exiv2::newJpegInstance (BasicIo::AutoPtr io, bool create)
| Create a new JpegImage instance and return an auto-pointer to it. Caller owns the returned object and the auto-pointer ensures that it will be deleted.
bool | Exiv2::isJpegType (BasicIo &iIo, bool advance)
| Check if the file iIo is a JPEG image.
Image::AutoPtr | Exiv2::newExvInstance (BasicIo::AutoPtr io, bool create)
| Create a new ExvImage instance and return an auto-pointer to it. Caller owns the returned object and the auto-pointer ensures that it will be deleted.
bool | Exiv2::isExvType (BasicIo &iIo, bool advance)
| Check if the file iIo is an EXV file.

## Variables

const int | Exiv2::ImageType::jpeg = 1
| Jpeg image type (see class JpegImage).
const int | Exiv2::ImageType::exv = 2
| Exv image type (see class ExvImage).

## Detailed Description

Class JpegImage to access JPEG images.

Version:
  Rev
    808

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

  Brad Schick (brad) brad@robotbattle.com

Date:
  15-Jan-05, brad: split out from image.cpp